.cnblogs_code,.cnblogs_code span{
    font-size:18px!important;
    font-family: "Source Han Sans SC", "Noto Sans CJK SC", "Source Han Sans CN", "Noto Sans SC", "PingFang SC", "Microsoft YaHei", sans-serif;
}
.syntaxhighlighter a, .syntaxhighlighter div,
.syntaxhighlighter code, .syntaxhighlighter table,
.syntaxhighlighter table td, .syntaxhighlighter table tr,
.syntaxhighlighter table tbody, .syntaxhighlighter table thead,
.syntaxhighlighter table caption, .syntaxhighlighter textarea {
    font-size: 15px!important;
}
 
.syntaxhighlighter .preprocessor {/*头文件、预编译部分*/
    color: #e29710!important;
}
 
.syntaxhighlighter .keyword {/*关键字（for/if...else/while/return...）*/
    font-weight: normal!important;
    color: #b216ac!important;
}
 
.syntaxhighlighter .comments,
.syntaxhighlighter .comments a {/*注释*/
    color: #d84f19!important;
}
 
.syntaxhighlighter .color1,
.syntaxhighlighter .color1 a {/*int等变量类型名*/
    color: #15b6bf!important;
}
.syntaxhighlighter .string,
.syntaxhighlighter .string a {/*字符串*/
    color: #1bbb38!important;
}
 #div_digg{
  position:fixed;
  bottom:5px;
  width:140px;
  right:30px;
  border:2px solid #085;
  padding:10px;
  background-color:#fff;
  opacity:0.3;
  border-radius:5px 5px 5px 5px !important;
  box-shadow:0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
  transition-duration: 0.5s;
}
#div_digg:hover{
  opacity:1;
}
.syntaxhighlighter .functions {/*scanf/printf等函数*/
    color: #ff1493!important;
}
/*生成博客目录的CSS*/
#uprightsideBar{
    font-size:18px;
    font-family: "Source Han Sans SC", "Noto Sans CJK SC", "Source Han Sans CN", "Noto Sans SC", "PingFang SC", "Microsoft YaHei", sans-serif;
    text-align:left;
    position:fixed;/*将div的位置固定到距离top:50px，left:0px的位置，这样div就会处在最左边的位置，距离顶部50px*/
    top:50px;
    left:0px;
    width: auto;
    height: auto; 
}
 
#sideBarTab{
    float:left;
    width:30px; 
    border:1px solid #e5e5e5;
    border-right:none;
    text-align:center;
    background:#ffffff;
}
 
#sideBarContents{
    font-size:14px;
    float:left;
    overflow:auto; 
    overflow-x:hidden;!important;
    width:200px;
    min-height:108px;
    max-height:460px;
    border:1px solid #e5e5e5;
    border-right:none; 
    background:#ffffff;
}
#sideBarContents dl{
    margin:0;
    padding:0;
}
 
#sideBarContents dt{
    margin-top:5px;
    margin-left:5px;
}
 
#sideBarContents dd, dt {
    cursor: pointer;
}
 
#sideBarContents dd:hover, dt:hover {
    color:#A7995A;
}
#sideBarContents dd{
    margin-left:20px;
}
/*评论头像*/
.feedbackCon img {
border-radius: 30px;
-webkit-transition: all 0.6s ease-out;
-moz-transition: all 0.5s ease-out;
-ms-transition: all 0.5s ease-out;
-o-transition: all 0.5s ease-out;
transition: all 0.5s ease-out;
}
.backToTop {
     border: 1px dashed;
     display: none;
     width: 18px;
     line-height: 1.2;
     padding: 5px 0;
     background-color: #fff;
     color: #000;
     font-size: 12px;
     text-align: center;
     position: fixed;
     _position: absolute;
     right: 10px;
     bottom: 100px;
     _bottom: "auto";
     cursor: pointer;
     opacity: .6;
     filter: Alpha(opacity=60);
}
/*表格*/
#cnblogs_post_body table
{
  overflow:hidden;
  border:1px solid #d3d3d3;
  background:#fefefe;
  margin:0 auto;
  width: 95%;
  border-left: 10px;
  border-right: 10px;
  border-radius:5px;
  font-family: "Source Han Sans SC", "Noto Sans CJK SC", "Source Han Sans CN", "Noto Sans SC", "PingFang SC", "Microsoft YaHei", sans-serif;
}
#cnblogs_post_body table td
{
  border: 0px;
  font-size: 14px;
  text-align: center;
  border-top:1px solid #e0e0e0;
  border-right:1px solid #e0e0e0;
}
#cnblogs_post_body table tr
{
  background: #F7F7F7
}
#cnblogs_post_body table th
{
  font-family: "Source Han Sans SC", "Noto Sans CJK SC", "Source Han Sans CN", "Noto Sans SC", "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 15px;
  text-align: center;
  padding-top:5px;
  text-shadow: 1px 1px 1px #fff;
  background-color:#e8eaeb;
  border: 0px;
}
 
/*表头排序*/
table.tablesorter {
    font-family:arial;
    background-color: #CDCDCD;
    margin:10px 0pt 15px;
    font-size: 8pt;
    width: 100%;
    text-align: left;
}
table.tablesorter thead tr th, table.tablesorter tfoot tr th {
    background-color: #e6EEEE;
    border: 1px solid #FFF;
    font-size: 8pt;
    padding: 4px;
}
table.tablesorter thead tr .header {
    background-image: url(https://files.cnblogs.com/files/nectar/bg.gif);
    background-repeat: no-repeat;
    background-position: center right;
    cursor: pointer;
}
table.tablesorter tbody td {
    color: #3D3D3D;
    padding: 4px;
    background-color: #FFF;
    vertical-align: top;
}
table.tablesorter tbody tr.odd td {
    background-color:#F0F0F6;
}
table.tablesorter thead tr .headerSortUp {
    background-image: url(https://files.cnblogs.com/files/nectar/asc.gif);
}
table.tablesorter thead tr .headerSortDown {
    background-image: url(https://files.cnblogs.com/files/nectar/desc.gif);
}
table.tablesorter thead tr .headerSortDown, table.tablesorter thead tr .headerSortUp {
background-color: #8dbdd8;
}
/* 设置版式 */
#home {
    margin: 0 auto;
    width: 80%;/*原始65*/
    min-width: 980px;/*页面顶部的宽度*/
    background-color: rgba(245, 245, 245, 0.7);
    padding: 30px;
    margin-top: 50px;
    margin-bottom: 50px;
    box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
border-radius: 12px;  /*调节边框圆度*/
}
/*boby调节背景图片*/
body {
    background:url("https://images.cnblogs.com/cnblogs_com/blogs/785582/galleries/2282051/o_230309120502_preview.jpg");  /*背景图片链接*/
    background-position:center left;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment:fixed;
}
#blogTitle {
    height: 100px;  /*高度/
    border-radius: 12px;
    clear: both;
    background-color: #cccccc69;   /*博客标题的背景*/

}
#blogTitle h1 {
    font-size: 36px;
color:#808080;
    font-weight: bold;

    line-height: 1.8em;/*原始 1.6em*/
    margin-top: 10px;/*原始 15px */

}
#blogTitle h2 {
    font-weight: normal;
    font-size: 17px; /*原始 16px ；font-size: 1.0rem;*/
    line-height: 1.8;
    color: #320f9d;
    font-weight: bold;
    text-align: right;
    float: right;
}
#navigator{
border-radius: 7px;
    background-color:rgba(135,206,205, 0.5);          /*标题栏下的颜色*/

}
#navList a:link, #navList a:visited, #navList a:active{
    color: #FFFFFF;
    font-size: 18px;
    font-weight: bold;
}
.blogStats{
    color: #eee;
}
.postTitle {
    border-left: 8px solid rgba(132,112,255, 0);
    margin-left: 10px;
    margin-bottom: 10px;
    font-size: 20px;
    float: right;
    width: 100%;
    clear: both;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    color:     #FF6A6A;
    transition: all 0.4s linear 0s;
}
.postTitle a:hover {
    margin-left: 30px;
    color: #EE6363;
    text-decoration: none;
}
.postCon {
    float: right;
    line-height: 1.5em;
    width: 100%;
    clear: both;
    padding: 10px 0;
}
.day .postTitle a {
    padding-left: 10px;
}
.day {
    background: rgba(255, 255, 255, 0.5);
}
/*文章附加信息*/
.postDesc {
    background: url(images/posted_time.png) no-repeat 0 1px;
    color: #757575;
    float: left;
    width: 100%;
    clear: both;
    text-align: left;
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 13px;
    padding-right: 20px;/*5px  padding-left: 90px;posted 发表时间左边距离*/
    margin-top: 20px;
    line-height: 1.8;
    padding-bottom: 35px;
}
.newsItem, .catListEssay, .catListLink, .catListNoteBook, .catListTag, .catListPostCategory,
.catListPostArchive, .catListImageCategory, .catListArticleArchive, .catListView,
.catListFeedback, .mySearch, .catListComment, .catListBlogRank, .catList, .catListArticleCategory ,#blog-calendar
{
    background: rgba(255, 255, 255, 0.5);
    margin-bottom: 35px;
    word-wrap: break-word;
}
.CalTitle{
    background: rgba(255, 255, 255, 0);
}
.catListTitle{
    background-color: rgba(255,110,180,0.6);   //栏目的条纹颜色
}
#topics{
    background: rgba(255, 255, 255, 0.5);
}
.c_ad_block{
    display: none;
}
#tbCommentBody{
    width: 100%;
    height: 200px;
    background: rgba(255, 255, 255, 0.5);
}
#q{background: rgba(255, 255, 255, 0);}

.CalNextPrev{background: rgba(255, 255, 255, 0);}

.cnblogs_code{
    background: rgba(255, 255, 255, 0);
    font-size: 18px !important;
}
.cnblogs_code div{
    background: rgba(255, 255, 255, 0);
}
.cnblogs_code_toolbar{
    background: rgba(255, 255, 255, 0);
}
#main{min-width: 640px;}
.entrylist{
    background: rgba(255, 255, 255, 0.5);
}
/* 设置博客点赞按钮 */
#div_digg{
  padding: 5px;
  border-radius: 5px;
  position: fixed;
  left: 0;
  bottom: 80px;
  width:80px;
  z-index:100;
}
.diggit{
  background: url(https://images2017.cnblogs.com/blog/894443/201709/894443-20170920105433618-867225449.png) no-repeat;
  width: 60px;
  height: 60px;
}
#div_digg .diggnum{
  position: absolute;
  bottom: -20px;
  left: 6px;
  background: #D0D0D0;
  padding: 2px 0;
  display: block;
  color: #555;
  font-size: 12px;
  text-align: center;
  width: 60px;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  font-weight: bold;
}
/* 删除反对按钮,有点邪恶了 */
.buryit{
  display: none;
}

.hljs .hljs-ln .hljs-ln-line{
    font-size: 18px !important;
    background: #F8F8F8!important;
    font-family: "Source Han Sans SC", "Noto Sans CJK SC", "Source Han Sans CN", "Noto Sans SC", "PingFang SC", "Microsoft YaHei", sans-serif;
}

/* 定制返回顶部按键 */
#back-to-top {
    background-color: #87cefe;
    bottom: 0;
    box-shadow: 0 0 6px #bdc3c7;
    color: #444444;
    padding: 10px 10px;
    position: fixed;
    right: 50px;
    cursor: pointer;
    border-radius: 30px;
}
.post{ color:#444; font-family:Georgia, Palatino, 'Palatino Linotype', Times, 'Times New Roman', serif; font-size:13px; line-height:1.5em; padding:1em;
background:#fefefe; }
.post h1,.post h2,.post h3,.post h4,.post h5,.post h6 { font-weight: bold; }
.post h1 { color: #000000; font-size: 28px; }
.post h2 { color: #000000; font-size: 24px; }
.post h3 { font-size: 18px; }
.post h4 { font-size: 16px; }
.post h5 { font-size: 14px; }
.post h6 { color: #777777; background-color: inherit; font-size: 14px; }
.post hr { height: 0.2em; border: 0; color: #CCCCCC; background-color: #CCCCCC; }
.post p,.post blockquote,.post ul,.post ol,.post dl,.post li,.post table,.post pre { margin: 15px 0; }
.post p{ margin:1em 0; }
.post pre { background-color: #F8F8F8;
border: 1px solid #CCCCCC; border-radius: 3px; overflow: auto; padding: 5px; }
.post pre code ,.pose .xcode{ background-color: #F8F8F8; border: none;
padding: 0; }
.post code,.post .xcode { font-family: Consolas, Monaco, Andale Mono, monospace; background-color:#F8F8F8; border: 1px solid #CCCCCC; border-radius: 3px; padding: 0 0.2em; line-height: 1; }
.post pre > code { border: 0; margin: 0; padding: 0; }
.post a:focus{ outline: thin dotted; } .post a:hover, a:active{ outline: 0; }
.post ::-moz-selection{background:rgba(255,255,0,0.3);color:#000} .post ::selection{background:rgba(255,255,0,0.3);color:#000}
.post a::-moz-selection{background:rgba(255,255,0,0.3);color:#0645ad} .post a::selection{background:rgba(255,255,0,0.3);color:#0645ad}
.post blockquote{ color:#666666; margin:0; padding-left: 3em; border-left: 0.5em #EEE solid; }
.post ul,.post ol { margin: 1em 0; padding: 0 0 0 2em; } .post li p:last-child { margin:0 } .post dd { margin: 0 0 0 2em; }
.post img { border: 0; -ms-interpolation-mode: bicubic; vertical-align: middle; max-width:100%;}
table { border-collapse: collapse; border-spacing: 0; } td { vertical-align: top; } .post @media only screen and (min-width: 480px) { body{font-size:14px;} }
.post @media only screen and (min-width: 768px) { body{font-size:16px;} }